//
//  ArcBall.h
//  ThreeDBase
//
//  Created by Justin Bakse on 1/31/05.
//  Copyright 2005 Justin Bakse. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MyTypes.h"


@interface ArcBall : NSObject {
    Quaternion orientationStart;
    Quaternion orientationNow;
    Vector3D dragStart;
    Vector3D dragNow;
    float radius;
    @public
    Boolean inDrag;
}




-(AxisRotation)GetOrientation;
-initWithAxisRotation:(AxisRotation)a;

-(void)StartDragWithX:(float)x Y:(float)y;
-(void)DragWithX:(float)x Y:(float)y;
-(void)EndDrag;

-(void)SetOrientationWithAxisRotation:(AxisRotation)a;

@end
