//
//  HeartOBJ.h
//  ThreeDBase
//
//  Created by Justin Bakse on 2/4/05.
//  Copyright 2005 Justin Bakse. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "MyOBJ.h"

@interface HeartOBJ : MyOBJ {
    @private
    Vector3D mVertsOriginal[5000];
    Vector3D mNormalsBalanced[5000];
    float mVertFacecounts[5000];
    
    Vector3D swellOrigins[10];
    float    swellAmounts[10];
    float    swellRadii[10];
    float    swellRadiiRec[10];
    int swellCount;
    
     
    
}

-(void)loadOBJFile:(char *)fileName;


-(void)resetDeformation;
-(void)swell:(float)swell;
-(void)swellFromPoint:(Vector3D)origin Radius:(float)radius Amount:(float)swell;


-(void)addSwell:(Vector3D)origin Radius:(float)radius Amount:(float)amount;
-(void)twist:(float)angle;
-(void)strengthen:(float)amount;

-(void)executeDeformations;
-(void)executeDeformationsQuickly;

@end
